package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RenewalsInfosDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.UserRenewalsFacade;
import com.diagbot.vo.RenewalsInfosVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户续费申请表 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2018-10-12
 */
@RestController
@Api(value = "续费API", tags = { "续费API" })
@RequestMapping("/userRenewals")
public class UserRenewalsController {
    @Autowired
    private UserRenewalsFacade userRenewalsFacade;

    @ApiOperation(value = "续费管理——显示[by:wangyu]",
            notes = "name：产品名，必填<br>" +
                    "decription：产品描述，必填<br> " +
                    "url：产品访问路径，必填<br>" +
                    "charge_type：计费方式，必填<br>" +
                    "access_type：接入模式，必填<br>" +
                    "trialStatus：试用状态（是否可试用）,必填<br>")
    @PostMapping("/renewalsInfos")
    @SysLogger("renewalsInfos")
    public RespDTO<IPage<RenewalsInfosDTO>> renewalsInfos(@RequestBody RenewalsInfosVO renewalsInfosVO) {
        return RespDTO.onSuc(userRenewalsFacade.renewalsInfo(renewalsInfosVO));
    }
}
